package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 路口级
 */
@Data
@NoArgsConstructor
@ApiModel(value = "PeriodCrossingVO")
public class PeriodCrossingVO extends CommonCrossIdDateTimeVO {
    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】")
    private String granularity;

    /**
     * 选中的要导出的字段
     */
    private List<String> selectedFields;
}
