package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 方向级
 */
@Data
@NoArgsConstructor
@ApiModel(value = "PeriodDirectionVO")
public class PeriodDirectionVO extends CommonCrossIdDateTimeVO {
    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】")
    private String granularity;
    /**
     * 用逗号分隔
     */
    @ApiModelProperty(value = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private String direction;

    /**
     * 选中的要导出的字段
     */
    private List<String> selectedFields;
}
